Subject: bug#5424: closed (Fixed by vc-buffer-overriding-fileset, vc-buffer-revision changeset)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 11 Apr 2025 03:54:02 +0000

Your bug report

#5424: Please make vc-annotate start from the revision of the current buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5424: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=5424
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Fixed by vc-buffer-overriding-fileset, vc-buffer-revision changeset
From: Sean Whitton <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 11 Apr 2025 11:53:04 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version 31.1

These should now be fixed on master.

-- 
Sean Whitton

Subject: Please make vc-annotate start from the revision of the current buffer
From: Reuben Thomas <[email-masked]>
To: bug-emacs <[email-masked]>
Date: Tue, 19 Jan 2010 18:27:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

For example, if I'm visiting non-current revision 997 of a particular
file, in a buffer called file.~997~, and I run vc-annotate, it shows
the current revision. Instead, it would be good if it defaulted to
revision 997. (I'd suggest that this is likely what users expect;
wanting to default to the current revision, I'd start from the
up-to-date buffer, in this case, "file").

-- 
http://rrt.sc3d.org
Police Refuse To Help Thug Attack Mum (Metro)